export class Common {
	
	url:string = window['serverAddress'] + "/";
	
	getYear(){
		return new Date().getFullYear() + '';
	}
	
	getMonth(){
		const date = new Date();
		return date.getFullYear() + '-' + (date.getMonth() + 1);
	}
	
	getDate(){
		const date = new Date();
		return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
	}
	
	getMonthBegin(){
		return this.getMonth() + '-1';
	}
	
	getDateStr(date){
		if(typeof date == 'string')
			return date;
		if(date instanceof Date)
			return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
	}
	
	isEmpty(str:string){
		return str == null || str.trim() == '';
	}
		
}

const common = new Common();
export default common;